Module | WEBrick::HTTPAuth::UserDB
In: | webrick/httpauth/userdb.rb

### Methods

get_passwd make_passwd set_passwd

### Attributes

auth_type | [RW] |

### Public Instance methods

get_passwd(realm, user, reload_db=false)

[Source]

    # File webrick/httpauth/userdb.rb, line 23
          def get_passwd(realm, user, reload_db=false)
            # reload_db is dummy
            make_passwd(realm, user, self[user])
          end

make_passwd(realm, user, pass)

[Source]

    # File webrick/httpauth/userdb.rb, line 15
          def make_passwd(realm, user, pass)
            @auth_type::make_passwd(realm, user, pass)
          end

set_passwd(realm, user, pass)

[Source]

    # File webrick/httpauth/userdb.rb, line 19
          def set_passwd(realm, user, pass)
            self[user] = pass
          end

[Validate]